#include<iostream>
using namespace std;
int main()
{
    long long a, b, L, br = 0, nm;

    cin >> a >> b >> L;

    if(a < b)
        nm = a;
    else
        nm = b;

    for(long long i = a + b; i <= L; i+=nm)
    {
        for(int x = 1; x <= L; x++)
        {
            for(int y = 1; y <= L; y++)
            {
                if(a * x + b * y == i)
                {
                    br++;

                    //cout << x << ' ' << y << ' ' << i;

                    //if(i != L)
                      //  i++;
                    if(i == L)
                    {
                        cout << L - br;

                        return 0;
                    }

                    break;
                }
                if(a * x + b * y > i)
                    break;
            }

        }
    }

    cout << L - br;

    return 0;
}
